Package org.apache.any23.cli

## Class ExtractorDocumentationTest

- java.lang.Object
- - org.apache.any23.AbstractAny23TestBase
  - - org.apache.any23.Any23OnlineTestBase
    - - org.apache.any23.cli.ToolTestBase
      - - org.apache.any23.cli.ExtractorDocumentationTest

-     public class ExtractorDocumentationTest
      extends ToolTestBase

  Test case for `ExtractorDocumentation` CLI.
  Author:
    Michele Mostarda (mostarda@fbk.eu)

- - ### Field Summary

    - ### Fields inherited from class org.apache.any23.cli.ToolTestBase

      `TOOL_RUN_METHOD`

    - ### Fields inherited from class org.apache.any23.Any23OnlineTestBase

      `ONLINE_TEST_DISABLED_FLAG`

    - ### Fields inherited from class org.apache.any23.AbstractAny23TestBase

      `tempDirectory, testFolder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExtractorDocumentationTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `testAll()` |
    `void` | `testExampleInput()` |
    `void` | `testExampleOutput()` |
    `void` | `testList()` |

    - ### Methods inherited from class org.apache.any23.cli.ToolTestBase

      `runTool, runTool, runToolCheckExit0`

    - ### Methods inherited from class org.apache.any23.Any23OnlineTestBase

      `assumeOnlineAllowed`

    - ### Methods inherited from class org.apache.any23.AbstractAny23TestBase

      `copyResourceToTempFile, getDocumentSourceFromResource, getDocumentSourceFromResource, setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtractorDocumentationTest

          public ExtractorDocumentationTest()

  - ### Method Detail

    - #### testList

          public void testList()
                        throws Exception

      Throws:
        `Exception`

    - #### testAll

          public void testAll()
                       throws Exception

      Throws:
        `Exception`

    - #### testExampleInput

          public void testExampleInput()
                                throws Exception

      Throws:
        `Exception`

    - #### testExampleOutput

          public void testExampleOutput()
                                 throws Exception

      Throws:
        `Exception`